/**   
* @Title: UEditorConfigController.java 
* @Package com.hdp.customerservice.api 
* @Description: TODO
* @author new12304508_163_com   
* @date 2015年6月10日 上午10:18:00 
* @version V1.0   
*/
package com.hdp.customerservice.api;

import java.io.File;
import java.io.FileOutputStream;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.multipart.MultipartFile;

import com.baidu.ueditor.ActionEnter;

@Controller
public class UEditorConfigController {
	/**   
	 * @Title: UEditorConfigController.java 
	 * @Package com.hdp.customerservice.api 
	 * @Description: TODO
	 * @author new12304508_163_com   
	 * @date 2015年6月10日 上午10:18:00 
	 * @version V1.0   
	 */
	@RequestMapping(value="/ueditor",method=RequestMethod.GET)
	public @ResponseBody String config(HttpServletRequest request){
		return new ActionEnter( request, request.getServletContext().getRealPath("/")).exec();
	}
	
	@RequestMapping(value="/ueditor",method=RequestMethod.POST)
	public @ResponseBody String upload(@RequestParam("upfile") MultipartFile upfile,HttpServletRequest request, HttpServletResponse response) throws Exception {  
		String result = ""; 
        String rootPath=request.getServletContext().getRealPath("");
        FileOutputStream out = null;
        try {
            File file = new File(rootPath);  
            if(!file.exists()) file.mkdirs();  
            String fname = ""+System.currentTimeMillis(),   
                   oname = upfile.getOriginalFilename();  
            out = new FileOutputStream(rootPath + "/" + fname);  
            out.write(upfile.getBytes());  
            out.close();   
            result = "{\"name\":\""+ fname +"\", \"originalName\": \""+ oname +"\", \"size\": "+ upfile.getSize() +", \"state\": \"SUCCESS\", \"type\": \"PNG\", \"url\": \"/" + fname+"\"}";  
            result = result.replaceAll( "\\\\", "\\\\" );  
        } catch(Exception e) {
        	e.printStackTrace();
        } finally {  
            out.close();  
        }  
        return result;  
    }  
}
